###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################
Name: cman
Version: 1.0.24
Release: 1
License: GPL
Group: System Environment/Base
Summary: cman - The Cluster Manager
BuildRequires: cman-kernheaders >= 2.6.9
BuildRequires: ccs-devel
Conflicts: GFS <= 6.0
Conflicts: GFS-modules
Requires: ccs
Requires: cman-kernel-modules >= 2.6.9
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
ExclusiveArch: i686 ia64 x86_64 ppc64
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
cman - The Cluster Manager

%package devel
Group: Development/Libraries
Summary: cman cluster manager development package
Requires: cman = %{version}-%{release}

%description devel
cman - The Cluster Manager

%prep
%setup -q -n %{name}-%{version}

%build
./configure --libdir=%{_libdir} --mandir=%{_mandir}
sed -i '/RELEASE_MAJOR/s/= .*/= 1/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= 0.0/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %version/' make/defines.mk
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d
mv -f $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cman

%preun
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del cman
fi

%files
%defattr(-,root,root,-)
/sbin/cman_tool
/sbin/qdiskd
/sbin/mkqdisk
%{_libdir}/libcman.so.1.0.0
%config /etc/rc.d/init.d/cman
%config /etc/rc.d/init.d/qdiskd
%{_mandir}/*/*

%files devel
%defattr(-,root,root,-)
/usr/include/libcman.h
%{_libdir}/libcman.a

%changelog
* Fri Apr 18 2008 Chris Feist <cfeist@redhat.com> 1.0.24-1
- qdiskd no longer fails with "Floating point exception" due to an unitialized
  variable
- Resolves: rhbz#442898

* Mon Apr 07 2008 Chris Feist <cfeist@redhat.com> 1.0.23-1
- qdiskd no longer fails with "Floating point exception" due to an unitialized
  variable
- Resolves: rhbz#441266

* Tue Mar 18 2008 Chris Feist <cfeist@redhat.com> 1.0.22-1
- Qdisk master abdication works on all cases now
- Resolves: rhbz#438085

* Tue Mar 04 2008 Chris Feist <cfeist@redhat.com> 1.0.19-1
- Always use the nodename in cluster.conf for cluster name
- Resolves: rhbz#428219

* Mon Oct 01 2007 Chris Feist <cfeist@redhat.com> 1.0.18-1
- Documentation Updates
- Resolves: rhbz#222882

* Tue Jan 30 2007 Chris Feist <cfeist@redhat.com>
- New upstraem sources.
- Build for ppc64.

* Mon May 22 2006 Chris Feist <cfeist@redhat.com>
- Added qdiskd daemon.

* Tue Jul 05 2005 Chris Feist <cfeist@redhat.com>
- Added libraries and cman-devel package

* Tue May 17 2005 Chris Feist <cfeist@redhat.com>
- Require cman-kernel-modules.

* Tue May 10 2005 Chris Feist <cfeist@redhat.com>
- Require proper kernel version.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Mon Dec 13 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Fri Oct 22 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Mon Aug 16 2004 Jon Brassow <jbrassow@redhat.com>
- update the requirements field

* Fri Aug 13 2004 Jon Brassow <jbrassow@redhat.com>
- various bug fixes (new upstream sources)
- add man pages

* Wed Jul 14 2004 Jon Brassow <jbrassow@redhat.com>
- build for i386 and x86_64 only

* Tue Jul 13 2004 Jon Brassow <jbrassow@redhat.com> 
- New upstream sources

* Thu Jun 17 2004 Jon Brassow <jbrassow@redhat.com> 
- Initial build.
